Skip to content
Docs

API reference / Operations by tag

data-health

Operations tagged data-health.

7 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
GET/data-healthData health: every check with its last result (status, compared, open discrepancies, repaired, consecutive failures)
GET/data-health/checks/{key}One data health check: latest discrepancies with sample ids, recent results, repairs
GET/data-health/repairsRecent data health repairs (automatic and operator-confirmed) with before / after
POST/data-health/repairsRequest an operator-confirmed repair of a check's discrepancies (422 not_repairable for source-data checks; 409 repair_pending)
POST/data-health/runQueue a manual data health run over the last 1-35 days (409 run_pending while one is queued or running)
GET/data-health/runsRecent data health runs
GET/data-health/summaryData health badge: ok | issues | never and when every check last ran (staff who can read reports)

GET /data-health

Data health: every check with its last result (status, compared, open discrepancies, repaired, consecutive failures)

Operation getDataHealth. Auth: API key (Bearer) or session cookie.

StatusDescriptionBody
200okapplication/json DataHealthOverview
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/data-health' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "status": "",
  "verified_at": "1970-01-01T00:00:00.000Z",
  "failing": 0,
  "checks": [
    {}
  ]
}

GET /data-health/checks/{key}

One data health check: latest discrepancies with sample ids, recent results, repairs

Operation getDataHealthChecksKey. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
keypathstringyes
limitqueryintegerno
StatusDescriptionBody
200okapplication/json DataHealthCheckDetail
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/data-health/checks/<key>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "check": {},
  "discrepancies": [
    {}
  ],
  "results": [
    {}
  ],
  "repairs": [
    {}
  ]
}

GET /data-health/repairs

Recent data health repairs (automatic and operator-confirmed) with before / after

Operation getDataHealthRepairs. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
checkquerystringno
limitquerystringno
StatusDescriptionBody
200okapplication/json DataHealthRepairList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/data-health/repairs' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ]
}

POST /data-health/repairs

Request an operator-confirmed repair of a check's discrepancies (422 not_repairable for source-data checks; 409 repair_pending)

Operation postDataHealthRepairs. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): DataHealthRepairRequest

FieldTypeFlagsDescription
checkstringrequired
discrepanciesarray of string
allboolean
reasonstring
StatusDescriptionBody
202okapplication/json DataHealthQueued
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/data-health/repairs' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"check":""}'

Example 202 response:

json
{
  "id": "",
  "status": "",
  "check": "",
  "window_from": ""
}

POST /data-health/run

Queue a manual data health run over the last 1-35 days (409 run_pending while one is queued or running)

Operation postDataHealthRun. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): DataHealthRunRequest

FieldTypeFlagsDescription
daysinteger
StatusDescriptionBody
202okapplication/json DataHealthQueued
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/data-health/run' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"days":0}'

Example 202 response:

json
{
  "id": "",
  "status": "",
  "check": "",
  "window_from": ""
}

GET /data-health/runs

Recent data health runs

Operation getDataHealthRuns. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
limitqueryintegerno
StatusDescriptionBody
200okapplication/json DataHealthRunList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/data-health/runs' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ]
}

GET /data-health/summary

Data health badge: ok | issues | never and when every check last ran (staff who can read reports)

Operation getDataHealthSummary. Auth: API key (Bearer) or session cookie.

StatusDescriptionBody
200okapplication/json DataHealthSummary
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/data-health/summary' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "status": "",
  "verified_at": "1970-01-01T00:00:00.000Z",
  "failing": 0,
  "checks": 0
}